Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

4.10.1 Rc Is Available—Try The New Version Before The Official Release Rate Topic   - - - - -

 
  • crazyshark20
  • Junior Member
  • Members
  • Join Date: 19-Aug 09
  • 290 posts

Posted 15 May 2019 - 09:44 AM #101

i still upgrade got error

 

Transfer failed 20190326181933_core_add_storefront_settings_fallbacks.php. Reason:You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near '' at line 1.

 
Successful transfers: 38 In total45.


 
  • alaa
  • Senior Member
  • Members
  • Join Date: 18-Mar 18
  • 151 posts

Posted 15 May 2019 - 09:55 AM #102

We have fixed that problem and uploaded the new upgrade packages for Multi-Vendor. Upgrade should be possible now. Here's how:

1. On your test 4.9.3 SP1 installation, go to the Upgrade Center.

2. Click the gear button and choose Refresh available upgrades.

3. Re-download the upgrade to 4.10.1 RC1 and install it.

 

Thank you ikoshkin for your reply. 

 

I am not able to upgrade due to another issue in different file. I recieved the below error message: 

 

Upgrade process of your store has failed

Please restore the pre-upgrade backup manually or via a link sent to your email address, then contact our technical support.

 

Tech details: Couldn't complete migration 20190326181933_core_add_storefront_settings_fallbacks.php. Reason: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1.

Completed migrations: 38 out of 45
 

This error already been mentioned in my ealier conversation with Soft-Solid. Please see here: #71

 and here: #73

 

Appreciate your further coordination! 

 

Regards, 

Alaa



 
  • ikoshkin
  • Tech Writer
  • CS-Cart Architects
  • Join Date: 25-Nov 15
  • 371 posts

Posted 15 May 2019 - 10:13 AM #103

Alaa, crazyshark20,

Thank you, we're looking into it. I'll let you know once there is any news.

 
  • ikoshkin
  • Tech Writer
  • CS-Cart Architects
  • Join Date: 25-Nov 15
  • 371 posts

Posted 15 May 2019 - 01:00 PM #104

Couldn't complete migration 20190326181933_core_add_storefront_settings_fallbacks.php. Reason: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1.


This problem has also been fixed, and the correct upgrade packages have been reuploaded. If you experienced that problem and restored the pre-upgrade backup (or you already have a new 4.9.3 SP1 test installation), then:

1. On your test 4.9.3 SP1 installation, go to the Upgrade Center.

2. Click the gear button and choose Refresh available upgrades.

3. Re-download the upgrade to 4.10.1 RC1 and install it.

 
  • alaa
  • Senior Member
  • Members
  • Join Date: 18-Mar 18
  • 151 posts

Posted 15 May 2019 - 01:13 PM #105

This problem has also been fixed, and the correct upgrade packages have been reuploaded. If you experienced that problem and restored the pre-upgrade backup (or you already have a new 4.9.3 SP1 test installation), then:

1. On your test 4.9.3 SP1 installation, go to the Upgrade Center.

2. Click the gear button and choose Refresh available upgrades.

3. Re-download the upgrade to 4.10.1 RC1 and install it.

 

Yes, it is working now. Thank you for your quick action. 



 
  • crazyshark20
  • Junior Member
  • Members
  • Join Date: 19-Aug 09
  • 290 posts

Posted 15 May 2019 - 02:58 PM #106

Upgrade successfully working now. Thanks.



 
  • eComLabs
  • CS-Cart Expert
  • Authorized Reseller
  • Join Date: 27-Jan 14
  • 19373 posts

Posted 16 May 2019 - 07:32 AM #107

Contact developer of the my_payment_modul addon ask him to fix the issue. As temporary solution you can use

if($_REQUEST['dispatch'] == 'checkout.checkout' && isset($cart['payment_method_data']) && ($cart['payment_method_data']['template'] == 'views/orders/components/payments/cc_my_payment_modul.tpl'))

GET A FREE QUOTE | CS-Cart Add-ons | CS-Cart Licenses | CS-Cart Development | CS-Cart Design | Server Configuration | UniTheme and YOUPI
CS-Cart                USD 345     Multi-Vendor              USD 1250    CS-Cart RU                         24500 руб.
CS-Cart Ultimate  USD 775     CS-Cart + YOUPI      USD 545      CS-Cart RU + UniTheme    36000 руб.


 
  • crazyshark20
  • Junior Member
  • Members
  • Join Date: 19-Aug 09
  • 290 posts

Posted 16 May 2019 - 12:08 PM #108

4.9.x and previous version its not gives this error. i don't understand.

 

Thanks for your answer ecomlabs



 
  • alaa
  • Senior Member
  • Members
  • Join Date: 18-Mar 18
  • 151 posts

Posted 16 May 2019 - 03:00 PM #109

4.9.x and previous version its not gives this error. i don't understand.

 

Thanks for your answer ecomlabs

 

The checkout process has got major changes in version 4.10.1. It is expected that, if you use addon from 3rd-party developer, some issues would occure. You will need to get the addon compatible with the new changes in 4.10.1. 



 
  • eComLabs
  • CS-Cart Expert
  • Authorized Reseller
  • Join Date: 27-Jan 14
  • 19373 posts

Posted 17 May 2019 - 05:45 AM #110

The checkout process has got major changes in version 4.10.1. It is expected that, if you use addon from 3rd-party developer, some issues would occure. You will need to get the addon compatible with the new changes in 4.10.1. 

 

Also error displaying is enabled in RC. It just can be disabled on your live store and you did not see this notice


GET A FREE QUOTE | CS-Cart Add-ons | CS-Cart Licenses | CS-Cart Development | CS-Cart Design | Server Configuration | UniTheme and YOUPI
CS-Cart                USD 345     Multi-Vendor              USD 1250    CS-Cart RU                         24500 руб.
CS-Cart Ultimate  USD 775     CS-Cart + YOUPI      USD 545      CS-Cart RU + UniTheme    36000 руб.


 
  • crazyshark20
  • Junior Member
  • Members
  • Join Date: 19-Aug 09
  • 290 posts

Posted 17 May 2019 - 10:32 AM #111

Also error displaying is enabled in RC. It just can be disabled on your live store and you did not see this notice

 

Where can we find this code i look "config.local.php" all code the same in RC files.

 

 

ikoshkin

 

admin.php?dispatch=products.manage

 

i got this error if select 250 products and wants to delete whole

 

PHP Warning Message

parse_str(): Input variables exceeded 1000. To increase the limit change max_input_vars in php.ini.

Error at

app/Tygh/Tools/Url.php, line: 119

Backtrace

File: app/Tygh/Tools/Url.php Line: 119 Function: {closure}

File: app/Tygh/Tools/Url.php Line: 65 Function: setQueryString

File: app/functions/fn.common.php Line: 5491 Function: __construct

File: app/functions/fn.control.php Line: 1035 Function: fn_query_remove

File: app/functions/fn.control.php Line: 802 Function: fn_url_remove_service_params

File: app/functions/fn.init.php Line: 1077 Function: fn_get_route

File: init.php Line: 164 Function: fn_init

File: admin.php Line: 25 Function: require

continue



 
  • soft-solid
  • Junior Member
  • Members
  • Join Date: 19-Apr 10
  • 726 posts

Posted 18 May 2019 - 12:51 PM #112

Hello crazyshark20

 

You should increase php variable max_input_vars to e.g. 100000.

This resolve problem with delete many products. 

 

Best regards

Robert


Team of SoftSolid
cs-cart.pl

 
  • crazyshark20
  • Junior Member
  • Members
  • Join Date: 19-Aug 09
  • 290 posts

Posted 19 May 2019 - 09:52 PM #113

Hi ikoshin

 

Before reease 4.8.x warning is behind the drop down menu.

 

https://prnt.sc/nqoisp



 
  • ikoshkin
  • Tech Writer
  • CS-Cart Architects
  • Join Date: 25-Nov 15
  • 371 posts

Posted 20 May 2019 - 05:25 AM #114

Hi ikoshin
 
Before reease 4.8.x warning is behind the drop down menu.
 
https://prnt.sc/nqoisp


Hello, and thank you for bringing this up. This is a known problem, and we already fixed it in 4.10.1.

 
  • Darius
  • Douchebag
  • Members
  • Join Date: 20-Apr 08
  • 3268 posts

Posted 20 May 2019 - 06:24 AM #115

When is final version coming?

 

Hello, and thank you for bringing this up. This is a known problem, and we already fixed it in 4.10.1.



 
  • ikoshkin
  • Tech Writer
  • CS-Cart Architects
  • Join Date: 25-Nov 15
  • 371 posts

Posted 20 May 2019 - 07:22 AM #116

When is final version coming?


I replied to that question earlier, but I guess it was very easy to miss among other discussions. The plan is still to release the final version until the end of May. Should there be any changes to the plan, we'll announce them. Either announcement will happen next week.

There are lots of new features in 4.10.1, and we'd like to have them as polished as possible at release. Of course, we also understand that many people are looking forward to these features, so we don't want to stall the release any longer than necessary.

 
  • crazyshark20
  • Junior Member
  • Members
  • Join Date: 19-Aug 09
  • 290 posts

Posted 20 May 2019 - 08:39 AM #117

Hi ikoshin

 

Please give a little more importance to the SEO. before v2. and some v3 version is good for seo, but v.4 is a little bad compared to other versions



 
  • ikoshkin
  • Tech Writer
  • CS-Cart Architects
  • Join Date: 25-Nov 15
  • 371 posts

Posted 20 May 2019 - 10:31 AM #118

Please give a little more importance to the SEO. before v2. and some v3 version is good for seo, but v.4 is a little bad compared to other versions


Could you tell what you mean by "good for SEO" or "bad compared to other versions"? Is there anything in particular that you'd like to improve? Please post it as a separate topic in this section.

I'm asking it because SEO depends on many factors, and most of them (mainly, the content of our clients' websites) are outside our control. That's why we can't promise that "with version X, your store will rank higher"a lot depends on the store itself, and the behavior of users. On our end, we try to our best to adapt the technical approaches that could be beneficial to SEO.

This discussion is best continued in another topic.

 
  • Darius
  • Douchebag
  • Members
  • Join Date: 20-Apr 08
  • 3268 posts

Posted 20 May 2019 - 01:31 PM #119

Google makes constant changes in algorithm so its up to your contact and how often you update it not to version I suppose..

 

v2 or v3 were not even responsive designs I do not believe they could rank better..

 

Hi ikoshin

 

Please give a little more importance to the SEO. before v2. and some v3 version is good for seo, but v.4 is a little bad compared to other versions



 
  • Darius
  • Douchebag
  • Members
  • Join Date: 20-Apr 08
  • 3268 posts

Posted 20 May 2019 - 01:32 PM #120

I guess I missed that, its just I return here not so often as used too..

 

 

I replied to that question earlier, but I guess it was very easy to miss among other discussions. The plan is still to release the final version until the end of May. Should there be any changes to the plan, we'll announce them. Either announcement will happen next week.

There are lots of new features in 4.10.1, and we'd like to have them as polished as possible at release. Of course, we also understand that many people are looking forward to these features, so we don't want to stall the release any longer than necessary.